Class | Sequel::ValidationFailed
In: | lib/sequel/model/exceptions.rb
Parent: | Error

Exception class raised when `raise_on_save_failure` is set and validation fails

### Methods

new

### Attributes

errors | [R] |

### Public Class methods

new(errors)

[Source]

        # File lib/sequel/model/exceptions.rb, line 11
    11:     def initialize(errors)
    12:       if errors.respond_to?(:full_messages)
    13:         @errors = errors
    14:         super(errors.full_messages.join(', '))
    15:       else
    16:         super
    17:       end
    18:     end

[Validate]